cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/custom_logic_scripts/211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.settings.get_settings_custom_logic_script(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.getSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->getSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomLogicScript;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomLogicScript> response = client.settings().getSettingsCustomLogicScript(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.GetSettingsCustomLogicScriptAsync("211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.getSettingsCustomLogicScript(
'211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().GetSettingsCustomLogicScript(context.Background(), "211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_logic_script": {
"action_name": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"object_name": "<string>",
"status": "<string>",
"type": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Instance settings
Retrieve a custom logic script
Returns one custom logic script by its id, under custom_logic_script.
GET
/
settings
/
custom_logic_scripts
/
{custom_logic_script_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/custom_logic_scripts/211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.settings.get_settings_custom_logic_script(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.getSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->getSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomLogicScript;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomLogicScript> response = client.settings().getSettingsCustomLogicScript(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.GetSettingsCustomLogicScriptAsync("211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.getSettingsCustomLogicScript(
'211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().GetSettingsCustomLogicScript(context.Background(), "211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_logic_script": {
"action_name": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"object_name": "<string>",
"status": "<string>",
"type": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads the custom logic script with this
id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom logic script's id, as a listing or a create returns it.
Response
The custom logic script, under custom_logic_script.
Show child attributes
Show child attributes